Skip to main content
PATCH
/
api
/
v1
/
tools
/
{id}
Update Agent Tool
curl --request PATCH \
  --url https://api.ravan.ai/api/v1/tools/{id}/ \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "type": "<string>",
  "definition": {}
}
'
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "id": "id_123",
    "organization_id": "organization_123",
    "name": "Support Bot",
    "description": "Example description",
    "type": "twilio",
    "definition": {},
    "is_active": true
  }
}

Authorizations

X-Api-Key
string
required
Your Agni API key. Find it in your RavanAi.

Path Parameters

id
string
required
Tool ID

Body

name
string
Tool name
description
string
Tool description
type
string
Tool type
definition
object
Tool definition schema

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
object
Returned data.
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "id": "id_123",
    "organization_id": "organization_123",
    "name": "Support Bot",
    "description": "Example description",
    "type": "twilio",
    "definition": {},
    "is_active": true
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
string
required

Tool ID

Body

application/json
name
string
description
string
type
string
definition
object

Response

200 - application/json

Successful response

success
boolean
message
string
data
object